package com.muyu.server.mapper;

import com.muyu.common.domain.DataName;
import com.muyu.common.domain.TableNames;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.mapper
 * @Project：cloud-property
 * @name：DataRunNameMapper
 * @Date：2024/8/27 20:01
 */
@Mapper
public interface DataRunNameMapper {
    void addDataRunName(@Param("list") ArrayList<DataName> list);

    void addTableRunName(@Param("tableNames1") List<TableNames> tableNames1);
}
