package com.muyu.server.service;

import com.muyu.common.domain.Connect;
import com.muyu.common.domain.DataName;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：DataRunName
 * @Date：2024/8/27 20:00
 */
public interface DataRunNameService {

    /**
     * 添加 数据库名，表名，结构
     */
    String addDataTableName(Connect connect);

    /**
     * 查询数据库名称 和 表名称联查
     * @return
     */
    List<DataName> getDatabasesName();

    /**
     *  连接数据库获取当前所有的数据库名称和所有字段
     * @return 所有数据库以及所有表的结果集
     */
    List<DataName> getDataBaseTableName();

}
